    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ---------------------------
    028 * XYAnnotationBoundsInfo.java
    029 * ---------------------------
    030 * (C) Copyright 2009, by Object Refinery Limited and Contributors.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * Changes:
    036 * --------
    037 * 10-Mar-2009 : Version 1 (DG);
    038 *
    039 */
    040
    041package org.jfree.chart.annotations;
    042
    043import org.jfree.data.Range;
    044
    045/**
    046 * An interface that supplies information about the bounds of the annotation.
    047 *
    048 * @since 1.0.13
    049 */
    050public interface XYAnnotationBoundsInfo {
    051
    052    /**
    053     * Returns a flag that determines whether or not the annotation's
    054     * bounds should be taken into account for auto-range calculations on
    055     * the axes that the annotation is plotted against.
    056     *
    057     * @return A boolean.
    058     */
    059    public boolean getIncludeInDataBounds();
    060
    061    /**
    062     * Returns the range of x-values (in data space) that the annotation
    063     * uses.
    064     *
    065     * @return The x-range.
    066     */
    067    public Range getXRange();
    068
    069    /**
    070     * Returns the range of y-values (in data space) that the annotation
    071     * uses.
    072     *
    073     * @return The y-range.
    074     */
    075    public Range getYRange();
    076
    077}